Skip to content
Collections

List all collections

Understanding how to use FeatureOS API to build custom integrations.

Introduction

The FeatureOS list all collection API allows you to retrieve information about your collections.

GET https://api.featureos.app/api/v3/collections
curl -X GET 'https://api.featureos.app/api/v3/collections' \
  -H 'API-KEY: YOUR_API_KEY' \
  -H 'Content-Type: application/json'

Headers

Parameter Default Description
API-KEY - Generate from organization settings on the admin dashboard.

Query Parameters

Parameter Default Description
parent_id - Parent Collection ID.
page 1 Used to paginate responses.
per_page 30 Used to limit the responses.

Sample response

[
  {
    "id": 12,
    "slug": "organization-settings",
    "color": "default",
    "description": "Everything you needs to set up your organization's branding and global settings.",
    "icon": "https://assets.production.skcript.com/featureos/app-assets/icons/regular/buildings.svg",
    "kind": "category",
    "name": "Organization Settings",
    "published_articles_count": 23,
    "published_articles_count_with_children": 0,
    "read_only": false,
    "sub_categories_count": 0,
    "created_at": "2024-05-20T05:44:33.911Z",
    "updated_at": "2024-11-26T11:21:03.404Z",
    "parent_id": null,
    "user_id": 123,
    "privacy": "public",
    "position": 10,
    "seo_title": null,
    "seo_description": null
  },
  ...
]